package org.etsi.mts.tdl.execution.java.rt.core;

import org.etsi.mts.tdl.execution.java.tri.Parameter;

public class ParameterImpl extends ElementImpl implements Parameter<TypeImpl> {
	
	private TypeImpl type;

	public ParameterImpl(String parameterName) {
		super(parameterName);
	}

	@Override
	public ParameterImpl addAnnotation(String key, String value) {
		super.addAnnotation(key, value);
		return this;
	}
	
	public ParameterImpl setType(TypeImpl type) {
		this.type = type;
		return this;
	}

	@Override
	public TypeImpl getType() {
		return type;
	}

}
